<x-wireui:modal-card title="{{ $userId ? '編輯使用者' : '新增使用者' }}" blur wire:model.defer="showCreateModal">
    <div class="space-y-4">
        <x-wireui:input label="名稱" wire:model.defer="fields.name" required />
        <x-wireui:input label="Email" wire:model.defer="fields.email" required />
        <x-wireui:input label="Phone" wire:model.defer="fields.phone" />
        <x-wireui:select
            label="性別"
            wire:model.defer="fields.gender"
            placeholder="選擇性別"
            :options="$genderOptions"
            option-label="name"
            option-value="value"
        />
        <x-wireui:select
            label="狀態"
            wire:model.defer="fields.status"
            placeholder="選擇狀態"
            :options="$statusOptions"
            option-label="name"
            option-value="value"
        />

        <x-wireui:select
            label="角色"
            wire:model.defer="selectedRoles"
            placeholder="選擇角色"
            multiselect
            option-label="label"
            option-value="value"
            :options="$rolesOptions->map(fn($p) => ['value' => $p->id, 'label' => $p->name])->toArray()"
        />
    </div>

    <x-slot name="footer">
        <div class="flex justify-center gap-2">
            <x-wireui:button primary label="{{__('users.cancel')}}" x-on:click="$dispatch('close')" />
            <x-wireui:button primary label="{{__('users.submit')}}" wire:click="save" />
        </div>
    </x-slot>
</x-wireui:modal-card>